Subject: Re: bug#1183: 23.0.60; ediff-buffers is broken

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Oct 2008 20:15:04 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: "'Stefan Monnier'" <[email-masked]>,
>         <[email-masked]>, "'Eli Zaretskii'" <[email-masked]>,
>         <[email-masked]>, "'Michael Kifer'" <[email-masked]>
> Date: Fri, 17 Oct 2008 10:17:27 -0700
> 
> > > > > But first, we should decide whether we want such 
> > > > > buffers to compare equal or not.
> > > > 
> > > > I believe we do, because it's called ediff-buffers.  There's 
> > > > ediff-files for when you want to compare the files.
> > > 
> > > That's terrible. Ediff-buffers has always been usable 
> > > directly for buffers visiting files also. 
> > 
> > I didn't see the original post, but the general idea was that 
> > whenever things look the same in Emacs they should be treated
> > as equal (or equal module spaces). I do not think the user
> > should be bothered with encodings. Copying from buffer
> > to buffer should also be transparent. (And ediff-files and 
> > ediff-buffers should produce the same results.)
> > 
> > Unfortunately, I have not been following the developments in 
> > the last few years, and my knowledge of the mechanics became rusty.
> 
> Everything Michael said sounds right to me.

Then why did you say "that's terrible" in response to Stefan who
expressed the same view as Michael?  They both say that what is
_displayed_ the same in Emacs should compare equal in ediff-buffers.

OTOH, "M-x ediff" that compares _files_ will still show differences
for identical text encoded differently in each of the files.